[arch-commits] Commit in ostree/repos/extra-x86_64 (PKGBUILD PKGBUILD)
David Runge
dvzrv at gemini.archlinux.org
Thu Jan 6 22:34:27 UTC 2022
Date: Thursday, January 6, 2022 @ 22:34:27
Author: dvzrv
Revision: 433742
archrelease: copy trunk to extra-x86_64
Added:
ostree/repos/extra-x86_64/PKGBUILD
(from rev 433741, ostree/trunk/PKGBUILD)
Deleted:
ostree/repos/extra-x86_64/PKGBUILD
----------+
PKGBUILD | 158 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 79 insertions(+), 79 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-01-06 22:34:12 UTC (rev 433741)
+++ PKGBUILD 2022-01-06 22:34:27 UTC (rev 433742)
@@ -1,79 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Mirco Tischler <mt-ml at gmx dot de>
-
-_name=libostree
-pkgname=ostree
-pkgver=2021.6
-_commit='f1155c8d283c3c85d74d5e1050b0dcf8198f750a' # 2021.6^{}
-pkgrel=1
-pkgdesc="Operating system and container binary deployment and upgrades"
-arch=(x86_64)
-url="https://ostree.readthedocs.org/en/latest/"
-license=(GPL2)
-depends=(fuse2 glibc libgpg-error libsodium util-linux openssl xz zlib)
-makedepends=(avahi e2fsprogs git glib2 gobject-introspection gpgme gtk-doc
-libarchive libsoup libxslt mkinitcpio python systemd)
-checkdepends=(cpio elfutils gjs parallel python-yaml syslinux)
-provides=(libostree-1.so)
-source=("git+https://github.com/ostreedev/ostree#commit=${_commit}"
- "git+https://github.com/mendsley/bsdiff"
- "git+https://gitlab.gnome.org/GNOME/libglnx.git")
-sha512sums=('SKIP'
- 'SKIP'
- 'SKIP')
-b2sums=('SKIP'
- 'SKIP'
- 'SKIP')
-# upstream ticket about chain of trust:
-# https://github.com/ostreedev/ostree/issues/2349
-validpgpkeys=('1CEC7A9DF7DA85ABEF843DC0A866D7CCAE087291') # Colin Walters <walters at redhat.com>
-
-prepare() {
- cd "$pkgname"
-
- git submodule init
- git config --local submodule.bsdiff.url "$srcdir/bsdiff"
- git config --local submodule.libglnx.url "$srcdir/libglnx"
- git submodule update
-
- NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
- cd "$pkgname"
-
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --sbindir=/usr/bin \
- --libexecdir=/usr/lib \
- --with-builtin-grub2-mkconfig \
- --with-ed25519-libsodium \
- --with-dracut \
- --with-mkinitcpio \
- --with-openssl \
- --enable-experimental-api \
- --disable-static \
- --enable-gtk-doc
-
- # circumvent overlinking
- sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
- make
-}
-
-check() {
- cd "$pkgname"
- make check -k || echo "Known to fail: https://github.com/ostreedev/ostree/issues/2313"
-}
-
-package() {
- depends+=(libarchive.so libavahi-client.so libavahi-common.so
- libavahi-glib.so libgio-2.0.so libglib-2.0.so libgobject-2.0.so libgpgme.so
- libsoup-2.4.so libsystemd.so)
-
- cd "$pkgname"
- make DESTDIR="$pkgdir" install
-}
Copied: ostree/repos/extra-x86_64/PKGBUILD (from rev 433741, ostree/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-01-06 22:34:27 UTC (rev 433742)
@@ -0,0 +1,79 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Mirco Tischler <mt-ml at gmx dot de>
+
+_name=libostree
+pkgname=ostree
+pkgver=2022.1
+_commit='6c903ab0b66e0542685108e837a23a9e29845949' # 2022.1^{}
+pkgrel=1
+pkgdesc="Operating system and container binary deployment and upgrades"
+arch=(x86_64)
+url="https://ostree.readthedocs.org/en/latest/"
+license=(GPL2)
+depends=(fuse2 glibc libgpg-error libsodium util-linux openssl xz zlib)
+makedepends=(avahi e2fsprogs git glib2 gobject-introspection gpgme gtk-doc
+libarchive libsoup libxslt mkinitcpio python systemd)
+checkdepends=(cpio elfutils gjs parallel python-yaml syslinux)
+provides=(libostree-1.so)
+source=("git+https://github.com/ostreedev/ostree#commit=${_commit}"
+ "git+https://github.com/mendsley/bsdiff"
+ "git+https://gitlab.gnome.org/GNOME/libglnx.git")
+sha512sums=('SKIP'
+ 'SKIP'
+ 'SKIP')
+b2sums=('SKIP'
+ 'SKIP'
+ 'SKIP')
+# upstream ticket about chain of trust:
+# https://github.com/ostreedev/ostree/issues/2349
+validpgpkeys=('1CEC7A9DF7DA85ABEF843DC0A866D7CCAE087291') # Colin Walters <walters at redhat.com>
+
+prepare() {
+ cd "$pkgname"
+
+ git submodule init
+ git config --local submodule.bsdiff.url "$srcdir/bsdiff"
+ git config --local submodule.libglnx.url "$srcdir/libglnx"
+ git submodule update
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd "$pkgname"
+
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib \
+ --with-builtin-grub2-mkconfig \
+ --with-ed25519-libsodium \
+ --with-dracut \
+ --with-mkinitcpio \
+ --with-openssl \
+ --enable-experimental-api \
+ --disable-static \
+ --enable-gtk-doc
+
+ # circumvent overlinking
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd "$pkgname"
+ make check -k || echo "Known to fail: https://github.com/ostreedev/ostree/issues/2313"
+}
+
+package() {
+ depends+=(libarchive.so libavahi-client.so libavahi-common.so
+ libavahi-glib.so libgio-2.0.so libglib-2.0.so libgobject-2.0.so libgpgme.so
+ libsoup-2.4.so libsystemd.so)
+
+ cd "$pkgname"
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list